-----------------------------------
--	Area: Southern San d'Oria
--	NPC: Deraquien
--  Involved in Quest: A timely Visit
-- 	@zone 230
--	@pos -98 -2 31
-------------------------------------
package.loaded["scripts/zones/Southern_San_dOria/TextIDs"] = nil;
-----------------------------------

require("scripts/globals/missions");
require("scripts/globals/settings");
require("scripts/globals/quests");
require("scripts/zones/Southern_San_dOria/TextIDs");

----------------------------------- 
-- onTrade Action 
----------------------------------- 

function onTrade(player,npc,trade)
-- "Flyers for Regine" conditional script
FlyerForRegine = player:getQuestStatus(SANDORIA,FLYERS_FOR_REGINE);

	if (FlyerForRegine == 1) then
		count = trade:getItemCount();
		MagicFlyer = trade:hasItemQty(532,1);
		if (MagicFlyer == true and count == 1) then
			player:messageSpecial(FLYER_REFUSED);
		end
	end
end;

----------------------------------- 
-- onTrigger Action 
-----------------------------------
 
function onTrigger(player,npc) 

rank = player:getRank();
ATimelyVisit = player:getQuestStatus(SANDORIA,A_TIMELY_VISIT);
Fame = player:getFameLevel(SANDORIA);
ATimelyVisitProgress = player:getVar("ATimelyVisitProgress");
nation = player:getNation();
mission = player:getCurrentMission(nation);

    if (nation == 0 and rank >= 2 and Fame >= 3 and ATimelyVisit == 0) or (nation ~= 0 and mission >=5 and Fame >= 3 and ATimelyVisit == 0)then
		if (ATimelyVisitProgress == 1) then
			player:startEvent(0x002f); -- shortened initial cs for the quest
		else
			player:startEvent(0x0021); -- initial cs for the quest
		end;	
	elseif	(ATimelyVisit == 1 and ATimelyVisitProgress == 2) then
		player:startEvent(0x0022); -- reminder to see Narvecaint
	elseif	(ATimelyVisit == 1 and ATimelyVisitProgress == 3) then
		player:startEvent(0x0050); -- see Halver
	elseif	(ATimelyVisit == 1 and ATimelyVisitProgress == 4) then
		player:startEvent(0x0014); -- reminder to see Halver
	elseif	(ATimelyVisit == 1 and ATimelyVisitProgress == 6) then
		player:startEvent(0x0057); -- see Phillone
	elseif	(ATimelyVisit == 1 and ATimelyVisitProgress == 7) then
		player:startEvent(0x001e); -- reminder to see Phillone
	elseif 	(ATimelyVisit == 1 and ATimelyVisitProgress == 8) then
		player:startEvent(0x0026); -- go to Jugner Forest
	elseif (ATimelyVisit == 2) then
		player:startEvent(0x028e); -- after quest completed
	else
	player:startEvent(0x0012);
	end;
--	player:startEvent(0x0012) -- intruders (cannot start quest yet)
--	player:startEvent(0x028e) -- nothing to report (after quest completed)
--	player:startEvent(0x0021)-- theif of royl sceptre (initial cs, for the first time)
--	player:startEvent(0x002f)-- as again about the theif (initial cs too, but u get this only if u refused the quest for the first time)
--	player:startEvent(0x0022) -- reminder of theif in la thein (quest accepted, u must head to la theine)
--	player:startEvent(0x0050)  -- thief caught but phillone was there (cs after u talked to Narvecaint for first, see Halver)
--	player:startEvent(0x0014)  -- go get reward for thief (reminder to see Halver)
--	player:startEvent(0x0057) -- vijrtall shows up and derq tells you go talk to phillone
--	player:startEvent(0x001e) -- reminder go talk to phillone
--	player:startEvent(0x0026) -- go help  retrieve royal sceptre (go to jugner)
--	player:startEvent(0x001b) -- the lady wasn't involved in the theft

end; 

-----------------------------------
-- onEventUpdate
-----------------------------------

function onEventUpdate(player,csid,option)
--printf("CSID: %u",csid);
--printf("RESULT: %u",option);
end;

-----------------------------------
-- onEventFinish
-----------------------------------

function onEventFinish(player,csid,option)
--printf("CSID: %u",csid);
--printf("RESULT: %u",option);

	if (csid == 0x0021) then
		if (option == 1) then
			player:addQuest(A_TIMELY_VISIT);
			player:getVar("ATimelyVisitProgress");
			player:setVar("ATimelyVisitProgress",2);
		else
			player:getVar("ATimelyVisitProgress");
			player:setVar("ATimelyVisitProgress",1);
		end;	
	elseif (csid == 0x002f and option == 1) then
		player:addQuest(A_TIMELY_VISIT);
		player:setVar("ATimelyVisitProgress",2);
	elseif (csid == 0x0050) then
		player:setVar("ATimelyVisitProgress",4);
	elseif (csid == 0x0014) then
		player:setVar("ATimelyVisitProgress",5);
	elseif (csid == 0x0057) then
		player:setVar("ATimelyVisitProgress",7);
	elseif (csid == 0x0026) then
		player:setVar("ATimelyVisitProgress",9);
		player:setPos(-206,-3,67);
	end
end;

----- used for future expansion
--	player:startEvent(0x032b) -- red badge

